Bug 309797 - Annoying item highlight flying around
Summary: Annoying item highlight flying around
Status: RESOLVED FIXED
Alias: None
Product: homerun
Classification: Unclassified
Component: applet (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Homerun bugs.
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-09 10:14 UTC by Martin Klapetek
Modified: 2013-01-31 13:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klapetek 2012-11-09 10:14:32 UTC
When you hover over some item which is not the first in the list, you can see the highlight flying from the first item to the current hovered item. Then if you move to another list (flies from first again) and back to the original list, the highlight flies from the last hovered item in that list.

I personally find this quite annoying. Especially if you move the mouse down across the lists (in Home tab for example), move the mouse few items to the side while down, move the mouse up again at normal speed, you can see the highlights starting to fly and then disappearing when you leave the list viewport. It looks weird.

This might be qml/plasma component limitation, but can we make the highlight simply fade in instead of flying from the previous position?
Comment 1 Aurelien Gateau 2013-01-31 13:10:35 UTC
Git commit 525e357b9e44b464f064f0c2bdde5f863a2955ff by Aurélien Gâteau.
Committed on 31/01/2013 at 14:03.
Pushed by gateau into branch 'extra-action-indicator'.

Remove flying highlight: it does not mix well with actionList button

M  +19   -0    package/contents/ui/Result.qml
M  +0    -13   package/contents/ui/ResultsView.qml

http://commits.kde.org/homerun/525e357b9e44b464f064f0c2bdde5f863a2955ff